[TASK] Check PCRE version in SystemEnvironment/Check 84/36784/5
authorStephan Großberndt <stephan@grossberndt.de>
Mon, 9 Feb 2015 19:35:36 +0000 (20:35 +0100)
committerChristian Kuhn <lolli@schwarzbu.ch>
Mon, 9 Feb 2015 21:03:14 +0000 (22:03 +0100)
commit0dec92bf06001a1da71f714ae66de6f52ce485c6
treeb8083fbca626e1478a04bf9604c672a5faa63562
parente31b7a97ae3a4789432d0f9d96b055a9fd6f6ab8
[TASK] Check PCRE version in SystemEnvironment/Check

Certain regular expressions passed to PCRE library < 8.30
can trigger a PHP segfault. This patch introduces an additional
system environment check to verify the PCRE version is
>= 8.30 (default shipped with PHP 5.5).

Resolves: #64950
Related: #62463
Releases: master
Change-Id: I3725c67f2b8e99941f0c6eb82a64d646025a1b85
Reviewed-on: http://review.typo3.org/36784
Reviewed-by: Stephan Großberndt <stephan@grossberndt.de>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
INSTALL.md
typo3/sysext/install/Classes/SystemEnvironment/Check.php